Welcome, Guest. Please login or register.
Did you miss your activation email?
Saturday 02 December 2023, 12:03:23 am

Login with username, password and session length

Download the latest community FREE version  HERE
14237 Posts in 4371 Topics by 6461 Members
Latest Member: devel.tech1
Search:     Advanced search
+  EFW Support
|-+  Support
| |-+  Installation Support
| | |-+  2.5 from 2.4.1 upgrade failure
0 Members and 0 Guests are viewing this topic. « previous next »
Pages: [1] Go Down Print
Author Topic: 2.5 from 2.4.1 upgrade failure  (Read 24725 times)
n8hack
Jr. Member
*
Offline Offline

Posts: 4


« on: Tuesday 31 January 2012, 07:46:23 am »

Hey everybody. Just finally managed to get back on-line after attempting an upgrade this morning. Was going to wipe and reload but figured I'd spend some time trying to figure out what went wrong.
Upgraded from 2.4.1 to 2.5.1 this morning and it didn't go very well.
Maybe I missed something in a new upgrade procedure or upgrade script I was supposed to run but after the upgrade the device reset the network config back to default but left all the other dhcp firewall and vpn configs alone. I have a few of these boxes out there most of which require remote upgrades so think I'm going to hold off on them as this issue would lock you out completely.
I managed to reset the network configs from the unit itself and got re-connected. Haven't really had time to play around with it much but have noticed the dashboard doesn't seem to be working. All I get is The Endian Management Interface is currently restarting... Please wait a few moments. been like that for 20 minutes.
Also running efw-upgrade again I get :
Code:
/etc/upgrade/upgrade.d/migration:
Starting emi:                                              [FAILED]
curl: (7) couldn't connect to host

Logged
tyfeatherston
Full Member
***
Offline Offline

Posts: 12


« Reply #1 on: Tuesday 31 January 2012, 09:11:09 am »

Same thing happened to me. I would advise not updating yet. Lost about half of my settings.
Logged
n9yty
Jr. Member
*
Offline Offline

Posts: 5


« Reply #2 on: Tuesday 31 January 2012, 12:26:37 pm »

Same thing, only from 2.5 to 2.5.1 --- if you go into /var/efw and step through all the directories there you can probably rename the xxxxx.orig or xxxxx.old files to the same name without a suffix and then have your settings back, at least mostly, my system is still not stable and I'm trying to triage at this point. Sad
Logged
tyfeatherston
Full Member
***
Offline Offline

Posts: 12


« Reply #3 on: Tuesday 31 January 2012, 03:50:12 pm »

Thanks for the feedback. Luckily for us it was in a development environment.

Thanks!
Logged
quam2000me
Jr. Member
*
Offline Offline

Posts: 1


« Reply #4 on: Tuesday 31 January 2012, 04:49:57 pm »

Another tainted upgrade from 2.4.1 to 2.5.1 tonight.  EMI refuses to start and spits out this:

Traceback (most recent call last):
  File "/usr/bin/emi", line 7, in ?
    sys.exit(
  File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 277, in load_en                                                                                                 try_point
  File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 2180, in load_e                                                                                                 ntry_point
  File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 1913, in load
  File "/usr/lib/python2.4/site-packages/endian/emi/server/commands.py", line 37                                                                                                 , in ?
  File "/usr/lib/python2.4/site-packages/turbogears/__init__.py", line 6, in ?
  File "/usr/lib/python2.4/site-packages/turbogears/controllers.py", line 14, in                                                                                                  ?
  File "/usr/lib/python2.4/site-packages/turbogears/view/__init__.py", line 1, i                                                                                                 n ?
  File "/usr/lib/python2.4/site-packages/turbogears/view/base.py", line 15, in ?
  File "/usr/lib/python2.4/site-packages/turbogears/i18n/__init__.py", line 5, i                                                                                                 n ?
  File "/usr/lib/python2.4/site-packages/turbogears/i18n/tg_gettext.py", line 8,                                                                                                  in ?
  File "/usr/lib/python2.4/site-packages/turbojson/__init__.py", line 3, in ?
    from turbojson.jsonsupport import JsonSupport
  File "/usr/lib/python2.4/site-packages/turbojson/jsonsupport.py", line 3, in ?
    from turbojson.jsonify import GenericJSON
  File "/usr/lib/python2.4/site-packages/turbojson/jsonify.py", line 6, in ?
    from peak.rules import abstract, around, when
ImportError: No module named rules

Can anyone help with this?Huh

EMI on the web portion just keeps saying its rebooting.
Logged
intrepid
Jr. Member
*
Offline Offline

Posts: 3


« Reply #5 on: Tuesday 31 January 2012, 09:15:49 pm »

same problem here.
After I reset the network configuration most of my settings were still there.
The EMI Dashboard just keeps saying "the Endian Management Interface is currently restarting...Please wait a few moments. "

The rest of the EMI is working though as is the firewall itself with all activated services.
I had the Problem with 2.5 that it wouldnt create a default route when connected via pppoe, thats luckily gone with 2.5.1.
After a second reboot openvpn was back. (the port was reset and the users were gone though)

edit:
was upgrading from 2.4.1
Had manually fixed the dyndns script error and set the openvpn port directly in the config files because it wouldnt accept it through the emi.

edit2:
i think there is a typo in the file /usr/bin/emi.
it says  "endian.emi==2.5.4". I changed this to 2.5.1. this reduced the errors from the emi traceback at least.
or perhaps I made it worse, not really sure  Grin

Traceback (most recent call last):
  File "/usr/bin/emi", line 5, in ?
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 2565, in ?
  File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 524, in resolve
pkg_resources.DistributionNotFound: endian.emi==2.5.1

Logged
stuclark
Jr. Member
*
Offline Offline

Posts: 6


« Reply #6 on: Tuesday 31 January 2012, 09:50:32 pm »

Got the same EMI error (unfortunately I didn't read this before updating).

I don't think I've seen a bug relating to this, but surely it's got to be a missing file or something similar?
Logged
stuclark
Jr. Member
*
Offline Offline

Posts: 6


« Reply #7 on: Tuesday 31 January 2012, 09:58:24 pm »

This looks like the bug: <http etc> bugs.endian.com/view.php?id=4257

So despite getting an email telling me about the update, it's "not been officially released yet"!
Logged
intrepid
Jr. Member
*
Offline Offline

Posts: 3


« Reply #8 on: Tuesday 31 January 2012, 10:10:51 pm »

well maybe, but my motherboard is definatly not defective.
about the update being offically released. wtf Huh
In would interpret the mail as offical.

"Endian Firewall Community 2.5.1 released
Header

The update for Endian Firewall Community to version 2.5.1 is now available! T..."
Logged
n9yty
Jr. Member
*
Offline Offline

Posts: 5


« Reply #9 on: Wednesday 01 February 2012, 05:35:10 am »

Well, the system did come up after I had rolled back the config files, but it is not stable.  It has been acting strangely all day today. And I am not sure there is a clear path to restore a clean system because if I re-install and run the update command to resolve changes from my ISO to what is current I fear I will have the same problems again.

I, too, am puzzled about why they would send out an email saying the upgrade was ready only to reply in the bug report that it is not.
Logged
intrepid
Jr. Member
*
Offline Offline

Posts: 3


« Reply #10 on: Thursday 02 February 2012, 02:07:51 am »

I wonder, will there eventually be a fix for this or is the "offical" solution to do a fresh installation with 2.5.1?
Logged
mrubs
Jr. Member
*
Offline Offline

Gender: Male
Posts: 7



WWW
« Reply #11 on: Monday 13 February 2012, 12:08:15 am »

I have got the same EMI problem. But i don't seen any bug related with this. I think some file is missing. What should i do for this ?
Logged

laythingy59
Full Member
***
Offline Offline

Posts: 40


« Reply #12 on: Thursday 19 April 2012, 06:35:36 pm »

Hi all

Using Putty i ran the upgrade script last night. I was on 2.4 to start with, chose the stable release and after the upgrade finished i was on 2.4.1. Tried the same again and it said there were no upgrades available.

Are 2.5 or 2.5.1 not classed as stable releases yet.

Thanks

Adam

Logged
laythingy59
Full Member
***
Offline Offline

Posts: 40


« Reply #13 on: Thursday 19 April 2012, 06:39:54 pm »

sorry guys, think i found my own answer.

http://www.efwsupport.com/index.php?topic=2978.0

Ta
Logged
Pages: [1] Go Up Print 
« previous next »
Jump to:  

Page created in 0.172 seconds with 18 queries.
Powered by SMF 1.1 RC2 | SMF © 2001-2005, Lewis Media Design by 7dana.com